Issue #177 resolved

IronPython fails with obsure error message.

Vernon Cole
created an issue

I have been under the false impression that setuptools could not be used with IronPython -- which caused me no small problem when trying to configure more complex systems. Today, I learned that by simply appending a command line switch, IronPython will play happily with the current version.

I suggest trapping the error with a friendly exception message making that fact known to affected users.

Comments (5)

  1. Jason R. Coombs

    Is there a function in the 'inspect' module that would serve better than the sys._getframe (either providing a better error message or enabling the functionality)?

  2. Jason R. Coombs

    I've taken the suggestion to "fail gracefully" a step further and decided instead to allow the install to proceed in environments where a call stack is not available, issuing a warning instead.

    I believe this approach is suitable as (a) bdist_* commands are less frequently run and certainly less relied upon for the basic usage (installing setuptools), (b) a warning is issued in the case where this behavior might be problemmatic.

    The value in allowing setuptools to install on IronPython outweighs any issue this might raise running bdist_* commands on other non-CPython environments.

  3. Log in to comment